Package: groovy.jmx.builder

## [Groovy] Class JmxBeanInfoManager

- groovy.jmx.builder.JmxBeanInfoManager

- The JmxBeanInfoManager creates fully-described model mbean info object using the underlying meta map. The MBeanInfo object is used to provide description about the actual exported MBean instance.

  Authors:
    Vladimir Vivien

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static ObjectName` | `buildDefaultObjectName(String defaultDomain, String defaultType, def object)` Builds a default JMX ObjectName instance using meta data from object.
    `static ModelMBeanInfo` | `getModelMBeanInfoFromMap(Map map)` Returns a fully-realized ModelMBeanInfo object from info gathered from the associated meta map.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### static ObjectName buildDefaultObjectName(String defaultDomain, String defaultType, def object)

      Builds a default JMX ObjectName instance using meta data from object.

      Parameters:
        `object` - used for name
      Returns:
        an instance of ObjectName

    - #### static ModelMBeanInfo getModelMBeanInfoFromMap(Map map)

      Returns a fully-realized ModelMBeanInfo object from info gathered from the associated meta map.

      Parameters:
        `map` - map of object
      Returns:
        ModelMBeanInfo built from map